com.comtrade.ecm.engine.datatypes

## Enum Date.Unit

- java.lang.Object
- - java.lang.Enum<Date.Unit>
  - - com.comtrade.ecm.engine.datatypes.Date.Unit

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Date.Unit>
  Enclosing class:
    Date

      public static enum Date.Unit
      extends java.lang.Enum<Date.Unit>

  Units to be used in `Date`-mathemathics.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DAYS`
    `MONTHS`
    `WEEKS`
    `YEARS`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Date.Unit` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Date.Unit[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DAYS

          public static final Date.Unit DAYS

    - #### WEEKS

          public static final Date.Unit WEEKS

    - #### MONTHS

          public static final Date.Unit MONTHS

    - #### YEARS

          public static final Date.Unit YEARS

  - ### Method Detail

    - #### values

          public static Date.Unit[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Date.Unit c : Date.Unit.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Date.Unit valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null